# $Revision: 1.10 $, $Date: 2010/08/22 08:51:30 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	Services_SharedBook
Summary:	%{_pearname} - PHP wrapper for SharedBook Open API
Summary(pl.UTF-8):	%{_pearname} - wrapper PHP dla otwartego API SharedBook
Name:		php-pear-%{_pearname}
Version:	0.2.6
Release:	3
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	013c50484ba39c83c1b45c18df5b410a
URL:		http://pear.php.net/package/Services_SharedBook/
BuildRequires:	php-pear-PEAR >= 1:1.4.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-HTTP_Client >= 1.1.1
Requires:	php-pear-PEAR-core >= 1:1.4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SharedBook has developed a unique, on demand reverse publishing
platform to help businesses and consumers extract, manipulate and
publish the Internet content. SharedBook now has an Open API
(Application Programming Interface). Now anyone can write a program
that will transfer data to the SharedBook platform and utilize our
full functionality to create revenue-producing books, both online and
off. This package is a wrapper for Open API calls, handles XML
responses, file uploads.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
SharedBook opracował unikalną, uruchamianą na żądanie platformę
ułatwiającą odbieranie, obróbkę oraz publikowanie treści w Internecie.
SharedBook obecnie posiada także ogólnodostępne Open API (Application
Programming Interface) - każdy może napisać program przesyłający dane
do platformy SharedBook i korzystający z jej funkcjonalności do
stworzenia przynoszących zyski książek, zarówno w wersji online jak i
offline. Ten pakiet jest wrapperem dla wywołań Open API, zajmuje się
obsługą odpowiedzi XML jak również wysyłką plików.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/Services_SharedBook
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/SharedBook
%{php_pear_dir}/Services/SharedBook.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Services_SharedBook.spec,v $
Revision 1.10  2010/08/22 08:51:30  glen
- ensure rpmbuild macros present

Revision 1.9  2010/08/21 19:08:57  glen
- updated deps with pearize.sh
- release 3

Revision 1.8  2008/05/24 08:41:48  adamg
- release 2 (updated PEAR deps)

Revision 1.7  2008-05-24 07:46:19  adamg
- PEAR-core is enough

Revision 1.6  2008-05-03 08:57:52  adamg
- updated to 0.2.6

Revision 1.5  2008-04-07 20:22:58  qboosh
- missing .UTF-8

Revision 1.4  2008-01-31 12:16:10  glen
- rel 2

Revision 1.3  2007-09-02 13:47:08  qboosh
- typo

Revision 1.2  2007/08/25 15:16:56  adamg
- UTF-8

Revision 1.1  2007/08/25 14:52:16  adamg
- new
